This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475799 - (pidgin-musictracker) Review Request: pidgin-musictracker - Pidgin displays the musictrack currently playing in your status
Review Request: pidgin-musictracker - Pidgin displays the musictrack current...
Status: CLOSED DUPLICATE of bug 494857
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 475806 475822 475833 475835 475857 475858 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 10:17 EST by Julio Cezar
Modified: 2009-05-22 13:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 18:26:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Julio Cezar 2008-12-10 10:17:57 EST
Spec URL: http://rapidshare.com/files/172084853/pidgin-musictracker.spec
SRPM URL: http://rapidshare.com/files/172083449/pidgin-musictracker-0.4.4-1.fc9.src.rpm
Description: A plugin for Pidgin which displays the music track currently
playing in your status. It supports a wide range of audio players

This is my first package and I need a sponsor.
Comment 1 Fabian Affolter 2008-12-10 11:54:29 EST
There is already an open review request for pidgin-musictracker.

https://bugzilla.redhat.com/show_bug.cgi?id=469080

But it seems that the original reporter is no longer interested to maintain this package.
Comment 2 manuel wolfshant 2008-12-10 11:55:47 EST
*** Bug 475806 has been marked as a duplicate of this bug. ***
Comment 3 manuel wolfshant 2008-12-10 12:05:45 EST
Hosting on rapidshare.com is not really the best idea.
I'd say (based on the COPYING file, which is referenced by the README file, source files do not include any license info ) that license should be GPLv2+
You should not build and package the static libraries and libtool archives. IF they are needed, separate packages should be used.
Comment 4 manuel wolfshant 2008-12-10 12:06:44 EST
And note that this program has already been submitted as  #469080
Comment 5 Bill Nottingham 2008-12-10 12:52:46 EST
*** Bug 475822 has been marked as a duplicate of this bug. ***
Comment 6 manuel wolfshant 2008-12-10 15:18:56 EST
*** Bug 475835 has been marked as a duplicate of this bug. ***
Comment 7 manuel wolfshant 2008-12-10 15:27:11 EST
*** Bug 475857 has been marked as a duplicate of this bug. ***
Comment 8 manuel wolfshant 2008-12-10 15:27:18 EST
*** Bug 475858 has been marked as a duplicate of this bug. ***
Comment 9 Julio Cezar 2008-12-10 15:41:15 EST
Fabian, do i must waiting for Jon Hermansen pronounce ?
Comment 10 Jason Tibbitts 2008-12-10 16:54:56 EST
*** Bug 475833 has been marked as a duplicate of this bug. ***
Comment 11 Fabian Affolter 2008-12-11 02:51:35 EST
Julio, let's wait some days for an answer from Jon, OK?  This is your first package and you are seeking a sponsor.  In the meantime you can submit other review requests for packages or even better make some informal review of other packages by yourself. https://fedoraproject.org/wiki/Packaging/ReviewGuidelines
Comment 12 Fabian Affolter 2008-12-17 03:20:56 EST
There is no answer from the reporter of the other pidgin-musictracker review request so far. 

https://bugzilla.redhat.com/show_bug.cgi?id=469080

I will close the other review request.
Comment 13 Fabian Affolter 2008-12-17 03:40:06 EST
Some comments on your spec file

- License: GPLv2
  What's is about the copyright in the NEWS file?

- 'Source0: http://pidgin-musictracker.googlecode.com/files/pidgin-musictracker-0.4.4.tar.bz2'
 can be 'http://pidgin-musictracker.googlecode.com/files/musictracker-%{version}.tar.bz2' no worries about the version in the future to get the source

- No 'BuildRequires' ? I think that this didn't work in mock. 

- This is a pidgin plugin but Pidgin is not a requirement?       

- 'make install DESTDIR=$RPM_BUILD_ROOT' better use 'make DESTDIR=%{buildroot} INSTALL="install -p" install' to preserves the files' timestamps.

- '%doc AUTHORS ChangeLog COPYING NEWS README'
  The file THANKS is missing

- For your file section, take a lot at 
  https://fedoraproject.org/wiki/Packaging/Guidelines#Exclusion_of_Static_Libraries
 https://fedoraproject.org/wiki/Packaging/Guidelines#Relocatable_packages
 https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros  

- Your %changelog don't match the guidelines
  https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 14 Fabian Affolter 2009-01-08 07:50:49 EST
ping?
Comment 15 Julio Cezar 2009-01-08 08:26:21 EST
(In reply to comment #14)
> ping?

pong.

What can i do to be the Package Maintainer for this package ?
Comment 16 zhenya 2009-01-16 15:27:47 EST
Very useful files search engine. <a href=http://indexoffiles.com>Indexoffiles.com </a> is a search engine designed to search files in various file sharing and uploading sites
Comment 17 Fabian Affolter 2009-01-17 06:24:29 EST
Julio, incorporate the the changes suggested in Comment #13, sooner or later somebody will make a full review and go on with the steps mentioned at https://fedoraproject.org/wiki/PackageMaintainers/Join . 

To get sponsored: https://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 18 Fabian Affolter 2009-01-27 07:20:25 EST
Any progress on this bug?
Comment 19 Fabian Affolter 2009-04-08 01:58:11 EDT
Is this review dead?
Comment 20 Jan Klepek 2009-04-08 08:14:22 EDT
latest version of pidgin-musictracker repackaged here:
https://bugzilla.redhat.com/show_bug.cgi?id=494857
Comment 21 Susi Lehtola 2009-04-08 18:26:23 EDT
Julio hasn't responded for many months, closing this as duplicate.

*** This bug has been marked as a duplicate of bug 494857 ***

Note You need to log in before you can comment on or make changes to this bug.